Mailinglist Archive: opensuse-updates (101 mails)

< Previous Next >
openSUSE-SU-2012:1288-1: moderate: postgresql, postgresql-libs
openSUSE Security Update: postgresql, postgresql-libs
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:1288-1
Rating: moderate
References: #765069 #766797 #776523 #776524
Cross-References: CVE-2012-2143 CVE-2012-2655 CVE-2012-3488
CVE-2012-3489
Affected Products:
openSUSE 12.2
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:


- Security and bugfix release 9.1.5:
* Ignore SECURITY DEFINER and SET attributes for a
procedural language's call handler (CVE-2012-2655)
bnc#765069
* Fix incorrect password transformation in
"contrib/pgcrypto"'s DES crypt() function
(CVE-2012-2143) bnc#766799
* Prevent access to external files/URLs via
"contrib/xml2"'s xslt_process() (CVE-2012-3488)
bnc#776523
* Prevent access to external files/URLs via XML entity
references (CVE-2012-3489) bnc#776524
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.1/static/release.html
/usr/share/doc/packages/postgresql/HISTORY


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2012-667

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

libecpg6-9.1.5-7.8.1
libecpg6-debuginfo-9.1.5-7.8.1
libpq5-9.1.5-7.8.1
libpq5-debuginfo-9.1.5-7.8.1
postgresql-9.1.5-7.8.1
postgresql-contrib-9.1.5-7.8.1
postgresql-contrib-debuginfo-9.1.5-7.8.1
postgresql-debuginfo-9.1.5-7.8.1
postgresql-debugsource-9.1.5-7.8.1
postgresql-devel-9.1.5-7.8.1
postgresql-devel-debuginfo-9.1.5-7.8.1
postgresql-libs-debugsource-9.1.5-7.8.1
postgresql-plperl-9.1.5-7.8.1
postgresql-plperl-debuginfo-9.1.5-7.8.1
postgresql-plpython-9.1.5-7.8.1
postgresql-plpython-debuginfo-9.1.5-7.8.1
postgresql-pltcl-9.1.5-7.8.1
postgresql-pltcl-debuginfo-9.1.5-7.8.1
postgresql-server-9.1.5-7.8.1
postgresql-server-debuginfo-9.1.5-7.8.1

- openSUSE 12.2 (x86_64):

libpq5-32bit-9.1.5-7.8.1
libpq5-debuginfo-32bit-9.1.5-7.8.1
postgresql-devel-32bit-9.1.5-7.8.1
postgresql-devel-debuginfo-32bit-9.1.5-7.8.1

- openSUSE 12.2 (noarch):

postgresql-docs-9.1.5-7.8.1


References:

http://support.novell.com/security/cve/CVE-2012-2143.html
http://support.novell.com/security/cve/CVE-2012-2655.html
http://support.novell.com/security/cve/CVE-2012-3488.html
http://support.novell.com/security/cve/CVE-2012-3489.html
https://bugzilla.novell.com/765069
https://bugzilla.novell.com/766797
https://bugzilla.novell.com/776523
https://bugzilla.novell.com/776524


< Previous Next >
This Thread
  • No further messages